apply plugin: 'com.android.application'
apply plugin: 'com.loveota.lbsdk'
buildscript {
    repositories {
	maven {
            url 'https://loveota-maven.pkg.coding.net/repository/bintray/lebianplugin/'
	}
	mavenCentral()
	google()
    }
    dependencies {
        classpath 'com.loveota.plugins:lbplugin:0.1.8'
    }
}

android {
    compileSdkVersion 23
    buildToolsVersion "27.0.3"
    defaultConfig {
        applicationId "com.lebian.demo.lebiandemo"
        minSdkVersion 15
        targetSdkVersion 23
        versionCode 1
        versionName "1.0"
        multiDexKeepProguard project(':lebian').file('multiDexKeep.pro')
    }
    buildTypes.each {
        it.proguardFile(project(':lebian').file('proguard-rules.pro'))
    }
    buildTypes {
        release {

            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    flavorDimensions "client"//, "native"
    productFlavors {
        'baidu' {
            dimension "client"
            manifestPlaceholders += ["ClientChId": "baidu"] //用于多渠道打包配置ClientChId

        }
        'wandoujia' {
            dimension "client"
            manifestPlaceholders += ["ClientChId": "wandoujia"]//用于多渠道打包配置ClientChId

        }
    }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
}

dependencies {
    compile(name:'lebian-release',ext:'aar')
}

repositories {
    flatDir {
        dirs 'libs'
    }
}
afterEvaluate { //在脚本执行之后，build 之前执行
    android.signingConfigs.each {
        it.v2SigningEnabled(false) //默认不使用v2签名
    }
}
